//$isBattleroom = 1;
$VisibleDistance = nameToID("MissionGroup/Terrain").VisibleDistance;
if ($VisibleDistance $= "")
   $VisibleDistance = 650;

$InvBanList[CTF, "TurretOutdoorDeployable"] = "";
$InvBanList[CTF, "TurretIndoorDeployable"] = "";
$InvBanList[CTF, "ElfBarrelPack"] = "";
$InvBanList[CTF, "MortarBarrelPack"] = "";
$InvBanList[CTF, "PlasmaBarrelPack"] = "";
$InvBanList[CTF, "AABarrelPack"] = "";
$InvBanList[CTF, "MissileBarrelPack"] = "";
//Why should I set an inv banlist for a map without invs I hear you think. Well, I'm not 
//telling. =)

$EverythingMask = $TypeMasks::PlayerObjectType | $TypeMasks::VehicleObjectType |
                  $TypeMasks::StationObjectType | $TypeMasks::GeneratorObjectType |
                  $TypeMasks::SensorObjectType | $TypeMasks::TurretObjectType |
                  $TypeMasks::TerrainObjectType | $TypeMasks::InteriorObjectType |
                  $TypeMasks::ForceFieldObjectType | $TypeMasks::StaticObjectType |
                  $TypeMasks::MoveableObjectType | $TypeMasks::DamagableItemObjectType;

function CTFGame::startMatch( %game )
{ //This execs should your gametype be CTF. 
   //First let's see how many "item stars" we will use. By default we have 2, but more may be added...
   %isItUsed = getRandom(5);
   if (%isItUsed <= 2)
     { //Defines Star #3 if it's going to be used
	%simgroup = new SimGroup(Star3);

	%star = new TSStatic() {
		position = "292.152 -157.513 1005.61";
		rotation = "0 0 1 53.2851";
		scale = "3 3 3";
		shapeName = "stackable2l.dts";
	};
	%item2 = new Item() {
		position = "292.205 -157.538 1011.47";
		rotation = "0 0 1 92.8192";
		scale = "1 1 1";
		dataBlock = "SatchelCharge";
		lockCount = "0";
		homingCount = "0";
		collideable = "0";
		static = "1";
		rotate = "0";
			target = "-1";
	};
	%item3 = new Item() {
		position = "290.527 -158.743 1011.74";
		rotation = "0 0 -1 36.2788";
		scale = "1 1 1";
		dataBlock = "Disc";
		lockCount = "0";
		homingCount = "0";
		collideable = "0";
		static = "1";
		rotate = "0";
			target = "-1";
	};
	%item4 = new Item() {
		position = "291.054 -155.941 1011.99";
		rotation = "0 0 1 55.004";
		scale = "1 1 1";
		dataBlock = "Chaingun";
		lockCount = "0";
		homingCount = "0";
		collideable = "0";
		static = "1";
		rotate = "0";
			target = "-1";
	};
	%item5 = new Item() {
		position = "293.635 -158.913 1011.87";
		rotation = "0 0 1 232.048";
		scale = "1 1 1";
		dataBlock = "Plasma";
		lockCount = "0";
		homingCount = "0";
		collideable = "0";
		static = "1";
		rotate = "0";
			target = "-1";
	};
	%item6 = new Item() {
		position = "293.466 -156.019 1011.68";
		rotation = "0 0 1 140.375";
		scale = "1 1 1";
		dataBlock = "SniperRifle";
		lockCount = "0";
		homingCount = "0";
		collideable = "0";
		static = "1";
		rotate = "0";
			target = "-1";
	};
	%item7 = new Item() {
		position = "291.368 -157.436 1011.29";
		rotation = "0 0 1 92.8192";
		scale = "1 1 1";
		dataBlock = "ChaingunAmmo";
		lockCount = "0";
		homingCount = "0";
		collideable = "0";
		static = "1";
		rotate = "0";
			target = "-1";
	};
	%item8 = new Item() {
		position = "292.015 -158.307 1011.33";
		rotation = "0 0 1 92.8192";
		scale = "1 1 1";
		dataBlock = "DiscAmmo";
		lockCount = "0";
		homingCount = "0";
		collideable = "0";
		static = "1";
		rotate = "0";
			target = "-1";
	};
	%item9 = new Item() {
		position = "293.085 -157.6 1011.4";
		rotation = "0 0 1 92.8192";
		scale = "1 1 1";
		dataBlock = "EnergyPack";
		lockCount = "0";
		homingCount = "0";
		collideable = "0";
		static = "1";
		rotate = "0";
			target = "-1";
	};
	%item10 = new Item() {
		position = "292.389 -156.717 1010.79";
		rotation = "0 0 1 92.8192";
		scale = "1 1 1";
		dataBlock = "PlasmaAmmo";
		lockCount = "0";
		homingCount = "0";
		collideable = "0";
		static = "1";
		rotate = "0";
			target = "-1";
	};
	%simgroup.add(%star, %item2, %item3, %item4, %item5, %item6, %item7, %item8, %item9, %item10);
     }
   %isItUsed = getRandom(5);
   if (%isItUsed <= 2)
     { //Defines Star #4 if it's going to be used
	%simgroup = new SimGroup(Star4);

	%star = new TSStatic() {
		position = "192.073 188.176 908.911";
		rotation = "0 0 1 49.8473";
		scale = "3 3 3";
		shapeName = "stackable2l.dts";
	};
	%item2 = new Item() {
		position = "192.128 188.154 914.769";
		rotation = "0 0 1 89.3814";
		scale = "1 1 1";
		dataBlock = "SatchelCharge";
		lockCount = "0";
		homingCount = "0";
		collideable = "0";
		static = "1";
		rotate = "0";
			target = "-1";
	};
	%item3 = new Item() {
		position = "190.525 186.851 915.039";
		rotation = "0 0 -1 39.7166";
		scale = "1 1 1";
		dataBlock = "Disc";
		lockCount = "0";
		homingCount = "0";
		collideable = "0";
		static = "1";
		rotate = "0";
			target = "-1";
	};
	%item4 = new Item() {
		position = "190.883 189.679 915.291";
		rotation = "0 0 1 51.5662";
		scale = "1 1 1";
		dataBlock = "Chaingun";
		lockCount = "0";
		homingCount = "0";
		collideable = "0";
		static = "1";
		rotate = "0";
			target = "-1";
	};
	%item5 = new Item() {
		position = "193.638 186.867 915.174";
		rotation = "0 0 1 228.61";
		scale = "1 1 1";
		dataBlock = "Plasma";
		lockCount = "0";
		homingCount = "0";
		collideable = "0";
		static = "1";
		rotate = "0";
			target = "-1";
	};
	%item6 = new Item() {
		position = "193.296 189.747 914.982";
		rotation = "0 0 1 136.937";
		scale = "1 1 1";
		dataBlock = "SniperRifle";
		lockCount = "0";
		homingCount = "0";
		collideable = "0";
		static = "1";
		rotate = "0";
			target = "-1";
	};
	%item7 = new Item() {
		position = "191.286 188.206 914.593";
		rotation = "0 0 1 89.3814";
		scale = "1 1 1";
		dataBlock = "ChaingunAmmo";
		lockCount = "0";
		homingCount = "0";
		collideable = "0";
		static = "1";
		rotate = "0";
			target = "-1";
	};
	%item8 = new Item() {
		position = "191.984 187.375 914.632";
		rotation = "0 0 1 89.3814";
		scale = "1 1 1";
		dataBlock = "DiscAmmo";
		lockCount = "0";
		homingCount = "0";
		collideable = "0";
		static = "1";
		rotate = "0";
			target = "-1";
	};
	%item9 = new Item() {
		position = "193.01 188.145 914.698";
		rotation = "0 0 1 89.3814";
		scale = "1 1 1";
		dataBlock = "EnergyPack";
		lockCount = "0";
		homingCount = "0";
		collideable = "0";
		static = "1";
		rotate = "0";
			target = "-1";
	};
	%item10 = new Item() {
		position = "192.262 188.985 914.091";
		rotation = "0 0 1 89.3814";
		scale = "1 1 1";
		dataBlock = "PlasmaAmmo";
		lockCount = "0";
		homingCount = "0";
		collideable = "0";
		static = "1";
		rotate = "0";
			target = "-1";
	};
	%simgroup.add(%star, %item2, %item3, %item4, %item5, %item6, %item7, %item8, %item9, %item10);
     }
   %isItUsed = getRandom(5);
   if (%isItUsed <= 2)
     { //Defines Star #5 if it's going to be used
	%simgroup = new SimGroup(Star5);

	%star = new TSStatic() {
		position = "172.433 -26.5143 1021.97";
		rotation = "0 0 -1 39.5341";
		scale = "3 3 3";
		shapeName = "stackable2l.dts";
	};
	%item2 = new Item() {
		position = "172.456 -26.4592 1027.83";
		rotation = "1 0 0 0";
		scale = "1 1 1";
		dataBlock = "SatchelCharge";
		lockCount = "0";
		homingCount = "0";
		collideable = "0";
		static = "1";
		rotate = "0";
			target = "-1";
	};
	%item3 = new Item() {
		position = "173.741 -28.0768 1028.1";
		rotation = "0 0 1 230.902";
		scale = "1 1 1";
		dataBlock = "Disc";
		lockCount = "0";
		homingCount = "0";
		collideable = "0";
		static = "1";
		rotate = "0";
			target = "-1";
	};
	%item4 = new Item() {
		position = "170.917 -27.6878 1028.35";
		rotation = "0 0 -1 37.8152";
		scale = "1 1 1";
		dataBlock = "Chaingun";
		lockCount = "0";
		homingCount = "0";
		collideable = "0";
		static = "1";
		rotate = "0";
			target = "-1";
	};
	%item5 = new Item() {
		position = "173.758 -24.9639 1028.24";
		rotation = "0 0 1 139.229";
		scale = "1 1 1";
		dataBlock = "Plasma";
		lockCount = "0";
		homingCount = "0";
		collideable = "0";
		static = "1";
		rotate = "0";
			target = "-1";
	};
	%item6 = new Item() {
		position = "170.876 -25.2744 1028.04";
		rotation = "0 0 1 47.5555";
		scale = "1 1 1";
		dataBlock = "SniperRifle";
		lockCount = "0";
		homingCount = "0";
		collideable = "0";
		static = "1";
		rotate = "0";
			target = "-1";
	};
	%item7 = new Item() {
		position = "172.394 -27.301 1027.65";
		rotation = "1 0 0 0";
		scale = "1 1 1";
		dataBlock = "ChaingunAmmo";
		lockCount = "0";
		homingCount = "0";
		collideable = "0";
		static = "1";
		rotate = "0";
			target = "-1";
	};
	%item8 = new Item() {
		position = "173.233 -26.6116 1027.69";
		rotation = "1 0 0 0";
		scale = "1 1 1";
		dataBlock = "DiscAmmo";
		lockCount = "0";
		homingCount = "0";
		collideable = "0";
		static = "1";
		rotate = "0";
			target = "-1";
	};
	%item9 = new Item() {
		position = "172.474 -25.5778 1027.76";
		rotation = "1 0 0 0";
		scale = "1 1 1";
		dataBlock = "EnergyPack";
		lockCount = "0";
		homingCount = "0";
		collideable = "0";
		static = "1";
		rotate = "0";
			target = "-1";
	};
	%item10 = new Item() {
		position = "171.626 -26.3166 1027.15";
		rotation = "1 0 0 0";
		scale = "1 1 1";
		dataBlock = "PlasmaAmmo";
		lockCount = "0";
		homingCount = "0";
		collideable = "0";
		static = "1";
		rotate = "0";
			target = "-1";
	};
	%simgroup.add(%star, %item2, %item3, %item4, %item5, %item6, %item7, %item8, %item9, %item10);
     }
   %isItUsed = getRandom(5);
   if (%isItUsed <= 2)
     { //Defines Star #6 if it's going to be used. Yes, I can count, but I start the item numbers
       //at 2 since there was a small glitch involving %item1 being from Star #6 every time.
       //Go T2!... :)
	%simgroup = new SimGroup(Star6);

	%star = new TSStatic() {
		position = "319.978 120.628 906.637";
		rotation = "0 0 1 49.8473";
		scale = "3 3 3";
		shapeName = "stackable2l.dts";
	};
	%item2 = new Item() {
		position = "319.191 120.658 911.919";
		rotation = "0 0 1 89.3814";
		scale = "1 1 1";
		dataBlock = "ChaingunAmmo";
		lockCount = "0";
		homingCount = "0";
		collideable = "0";
		static = "1";
		rotate = "0";
			target = "-1";
	};
	%item3 = new Item() {
		position = "320.033 120.606 912.495";
		rotation = "0 0 1 89.3814";
		scale = "1 1 1";
		dataBlock = "SatchelCharge";
		lockCount = "0";
		homingCount = "0";
		collideable = "0";
		static = "1";
		rotate = "0";
			target = "-1";
	};
	%item4 = new Item() {
		position = "318.43 119.303 912.765";
		rotation = "0 0 -1 39.7166";
		scale = "1 1 1";
		dataBlock = "Disc";
		lockCount = "0";
		homingCount = "0";
		collideable = "0";
		static = "1";
		rotate = "0";
			target = "-1";
	};
	%item5 = new Item() {
		position = "318.788 122.131 913.017";
		rotation = "0 0 1 51.5662";
		scale = "1 1 1";
		dataBlock = "Chaingun";
		lockCount = "0";
		homingCount = "0";
		collideable = "0";
		static = "1";
		rotate = "0";
			target = "-1";
	};
	%item6 = new Item() {
		position = "321.543 119.319 912.9";
		rotation = "0 0 1 228.61";
		scale = "1 1 1";
		dataBlock = "Plasma";
		lockCount = "0";
		homingCount = "0";
		collideable = "0";
		static = "1";
		rotate = "0";
			target = "-1";
	};
	%item7 = new Item() {
		position = "321.201 122.199 912.708";
		rotation = "0 0 1 136.937";
		scale = "1 1 1";
		dataBlock = "SniperRifle";
		lockCount = "0";
		homingCount = "0";
		collideable = "0";
		static = "1";
		rotate = "0";
			target = "-1";
	};
	%item8 = new Item() {
		position = "320.915 120.597 912.424";
		rotation = "0 0 1 89.3814";
		scale = "1 1 1";
		dataBlock = "EnergyPack";
		lockCount = "0";
		homingCount = "0";
		collideable = "0";
		static = "1";
		rotate = "0";
			target = "-1";
	};
	%item9 = new Item() {
		position = "319.889 119.827 912.358";
		rotation = "0 0 1 89.3814";
		scale = "1 1 1";
		dataBlock = "DiscAmmo";
		lockCount = "0";
		homingCount = "0";
		collideable = "0";
		static = "1";
		rotate = "0";
			target = "-1";
	};
	%item10 = new Item() {
		position = "320.167 121.437 911.817";
		rotation = "0 0 1 89.3814";
		scale = "1 1 1";
		dataBlock = "PlasmaAmmo";
		lockCount = "0";
		homingCount = "0";
		collideable = "0";
		static = "1";
		rotate = "0";
			target = "-1";
	};
	%simgroup.add(%star, %item2, %item3, %item4, %item5, %item6, %item7, %item8, %item9, %item10);
     }
   jumpPoint();
   Parent::startMatch( %game );
}

function TeamHuntersGame::startMatch( %game )
{ //This execs should your gametype be Team Hunters. 
   //First let's see how many "item stars" we will use. By default we have 2, but more may be added...
   %isItUsed = getRandom(5);
   if (%isItUsed <= 2)
     { //Defines Star #3 if it's going to be used
	%simgroup = new SimGroup(Star3);

	%star = new TSStatic() {
		position = "292.152 -157.513 1005.61";
		rotation = "0 0 1 53.2851";
		scale = "3 3 3";
		shapeName = "stackable2l.dts";
	};
	%item2 = new Item() {
		position = "292.205 -157.538 1011.47";
		rotation = "0 0 1 92.8192";
		scale = "1 1 1";
		dataBlock = "SatchelCharge";
		lockCount = "0";
		homingCount = "0";
		collideable = "0";
		static = "1";
		rotate = "0";
			target = "-1";
	};
	%item3 = new Item() {
		position = "290.527 -158.743 1011.74";
		rotation = "0 0 -1 36.2788";
		scale = "1 1 1";
		dataBlock = "Disc";
		lockCount = "0";
		homingCount = "0";
		collideable = "0";
		static = "1";
		rotate = "0";
			target = "-1";
	};
	%item4 = new Item() {
		position = "291.054 -155.941 1011.99";
		rotation = "0 0 1 55.004";
		scale = "1 1 1";
		dataBlock = "Chaingun";
		lockCount = "0";
		homingCount = "0";
		collideable = "0";
		static = "1";
		rotate = "0";
			target = "-1";
	};
	%item5 = new Item() {
		position = "293.635 -158.913 1011.87";
		rotation = "0 0 1 232.048";
		scale = "1 1 1";
		dataBlock = "Plasma";
		lockCount = "0";
		homingCount = "0";
		collideable = "0";
		static = "1";
		rotate = "0";
			target = "-1";
	};
	%item6 = new Item() {
		position = "293.466 -156.019 1011.68";
		rotation = "0 0 1 140.375";
		scale = "1 1 1";
		dataBlock = "SniperRifle";
		lockCount = "0";
		homingCount = "0";
		collideable = "0";
		static = "1";
		rotate = "0";
			target = "-1";
	};
	%item7 = new Item() {
		position = "291.368 -157.436 1011.29";
		rotation = "0 0 1 92.8192";
		scale = "1 1 1";
		dataBlock = "ChaingunAmmo";
		lockCount = "0";
		homingCount = "0";
		collideable = "0";
		static = "1";
		rotate = "0";
			target = "-1";
	};
	%item8 = new Item() {
		position = "292.015 -158.307 1011.33";
		rotation = "0 0 1 92.8192";
		scale = "1 1 1";
		dataBlock = "DiscAmmo";
		lockCount = "0";
		homingCount = "0";
		collideable = "0";
		static = "1";
		rotate = "0";
			target = "-1";
	};
	%item9 = new Item() {
		position = "293.085 -157.6 1011.4";
		rotation = "0 0 1 92.8192";
		scale = "1 1 1";
		dataBlock = "EnergyPack";
		lockCount = "0";
		homingCount = "0";
		collideable = "0";
		static = "1";
		rotate = "0";
			target = "-1";
	};
	%item10 = new Item() {
		position = "292.389 -156.717 1010.79";
		rotation = "0 0 1 92.8192";
		scale = "1 1 1";
		dataBlock = "PlasmaAmmo";
		lockCount = "0";
		homingCount = "0";
		collideable = "0";
		static = "1";
		rotate = "0";
			target = "-1";
	};
	%simgroup.add(%star, %item2, %item3, %item4, %item5, %item6, %item7, %item8, %item9, %item10);
     }
   %isItUsed = getRandom(5);
   if (%isItUsed <= 2)
     { //Defines Star #4 if it's going to be used
	%simgroup = new SimGroup(Star4);

	%star = new TSStatic() {
		position = "192.073 188.176 908.911";
		rotation = "0 0 1 49.8473";
		scale = "3 3 3";
		shapeName = "stackable2l.dts";
	};
	%item2 = new Item() {
		position = "192.128 188.154 914.769";
		rotation = "0 0 1 89.3814";
		scale = "1 1 1";
		dataBlock = "SatchelCharge";
		lockCount = "0";
		homingCount = "0";
		collideable = "0";
		static = "1";
		rotate = "0";
			target = "-1";
	};
	%item3 = new Item() {
		position = "190.525 186.851 915.039";
		rotation = "0 0 -1 39.7166";
		scale = "1 1 1";
		dataBlock = "Disc";
		lockCount = "0";
		homingCount = "0";
		collideable = "0";
		static = "1";
		rotate = "0";
			target = "-1";
	};
	%item4 = new Item() {
		position = "190.883 189.679 915.291";
		rotation = "0 0 1 51.5662";
		scale = "1 1 1";
		dataBlock = "Chaingun";
		lockCount = "0";
		homingCount = "0";
		collideable = "0";
		static = "1";
		rotate = "0";
			target = "-1";
	};
	%item5 = new Item() {
		position = "193.638 186.867 915.174";
		rotation = "0 0 1 228.61";
		scale = "1 1 1";
		dataBlock = "Plasma";
		lockCount = "0";
		homingCount = "0";
		collideable = "0";
		static = "1";
		rotate = "0";
			target = "-1";
	};
	%item6 = new Item() {
		position = "193.296 189.747 914.982";
		rotation = "0 0 1 136.937";
		scale = "1 1 1";
		dataBlock = "SniperRifle";
		lockCount = "0";
		homingCount = "0";
		collideable = "0";
		static = "1";
		rotate = "0";
			target = "-1";
	};
	%item7 = new Item() {
		position = "191.286 188.206 914.593";
		rotation = "0 0 1 89.3814";
		scale = "1 1 1";
		dataBlock = "ChaingunAmmo";
		lockCount = "0";
		homingCount = "0";
		collideable = "0";
		static = "1";
		rotate = "0";
			target = "-1";
	};
	%item8 = new Item() {
		position = "191.984 187.375 914.632";
		rotation = "0 0 1 89.3814";
		scale = "1 1 1";
		dataBlock = "DiscAmmo";
		lockCount = "0";
		homingCount = "0";
		collideable = "0";
		static = "1";
		rotate = "0";
			target = "-1";
	};
	%item9 = new Item() {
		position = "193.01 188.145 914.698";
		rotation = "0 0 1 89.3814";
		scale = "1 1 1";
		dataBlock = "EnergyPack";
		lockCount = "0";
		homingCount = "0";
		collideable = "0";
		static = "1";
		rotate = "0";
			target = "-1";
	};
	%item10 = new Item() {
		position = "192.262 188.985 914.091";
		rotation = "0 0 1 89.3814";
		scale = "1 1 1";
		dataBlock = "PlasmaAmmo";
		lockCount = "0";
		homingCount = "0";
		collideable = "0";
		static = "1";
		rotate = "0";
			target = "-1";
	};
	%simgroup.add(%star, %item2, %item3, %item4, %item5, %item6, %item7, %item8, %item9, %item10);
     }
   %isItUsed = getRandom(5);
   if (%isItUsed <= 2)
     { //Defines Star #5 if it's going to be used
	%simgroup = new SimGroup(Star5);

	%star = new TSStatic() {
		position = "172.433 -26.5143 1021.97";
		rotation = "0 0 -1 39.5341";
		scale = "3 3 3";
		shapeName = "stackable2l.dts";
	};
	%item2 = new Item() {
		position = "172.456 -26.4592 1027.83";
		rotation = "1 0 0 0";
		scale = "1 1 1";
		dataBlock = "SatchelCharge";
		lockCount = "0";
		homingCount = "0";
		collideable = "0";
		static = "1";
		rotate = "0";
			target = "-1";
	};
	%item3 = new Item() {
		position = "173.741 -28.0768 1028.1";
		rotation = "0 0 1 230.902";
		scale = "1 1 1";
		dataBlock = "Disc";
		lockCount = "0";
		homingCount = "0";
		collideable = "0";
		static = "1";
		rotate = "0";
			target = "-1";
	};
	%item4 = new Item() {
		position = "170.917 -27.6878 1028.35";
		rotation = "0 0 -1 37.8152";
		scale = "1 1 1";
		dataBlock = "Chaingun";
		lockCount = "0";
		homingCount = "0";
		collideable = "0";
		static = "1";
		rotate = "0";
			target = "-1";
	};
	%item5 = new Item() {
		position = "173.758 -24.9639 1028.24";
		rotation = "0 0 1 139.229";
		scale = "1 1 1";
		dataBlock = "Plasma";
		lockCount = "0";
		homingCount = "0";
		collideable = "0";
		static = "1";
		rotate = "0";
			target = "-1";
	};
	%item6 = new Item() {
		position = "170.876 -25.2744 1028.04";
		rotation = "0 0 1 47.5555";
		scale = "1 1 1";
		dataBlock = "SniperRifle";
		lockCount = "0";
		homingCount = "0";
		collideable = "0";
		static = "1";
		rotate = "0";
			target = "-1";
	};
	%item7 = new Item() {
		position = "172.394 -27.301 1027.65";
		rotation = "1 0 0 0";
		scale = "1 1 1";
		dataBlock = "ChaingunAmmo";
		lockCount = "0";
		homingCount = "0";
		collideable = "0";
		static = "1";
		rotate = "0";
			target = "-1";
	};
	%item8 = new Item() {
		position = "173.233 -26.6116 1027.69";
		rotation = "1 0 0 0";
		scale = "1 1 1";
		dataBlock = "DiscAmmo";
		lockCount = "0";
		homingCount = "0";
		collideable = "0";
		static = "1";
		rotate = "0";
			target = "-1";
	};
	%item9 = new Item() {
		position = "172.474 -25.5778 1027.76";
		rotation = "1 0 0 0";
		scale = "1 1 1";
		dataBlock = "EnergyPack";
		lockCount = "0";
		homingCount = "0";
		collideable = "0";
		static = "1";
		rotate = "0";
			target = "-1";
	};
	%item10 = new Item() {
		position = "171.626 -26.3166 1027.15";
		rotation = "1 0 0 0";
		scale = "1 1 1";
		dataBlock = "PlasmaAmmo";
		lockCount = "0";
		homingCount = "0";
		collideable = "0";
		static = "1";
		rotate = "0";
			target = "-1";
	};
	%simgroup.add(%star, %item2, %item3, %item4, %item5, %item6, %item7, %item8, %item9, %item10);
     }
   %isItUsed = getRandom(5);
   if (%isItUsed <= 2)
     { //Defines Star #6 if it's going to be used. Yes, I can count, but I start the item numbers
       //at 2 since there was a small glitch involving %item1 being from Star #6 every time.
       //Go T2!... :)
	%simgroup = new SimGroup(Star6);

	%star = new TSStatic() {
		position = "319.978 120.628 906.637";
		rotation = "0 0 1 49.8473";
		scale = "3 3 3";
		shapeName = "stackable2l.dts";
	};
	%item2 = new Item() {
		position = "319.191 120.658 911.919";
		rotation = "0 0 1 89.3814";
		scale = "1 1 1";
		dataBlock = "ChaingunAmmo";
		lockCount = "0";
		homingCount = "0";
		collideable = "0";
		static = "1";
		rotate = "0";
			target = "-1";
	};
	%item3 = new Item() {
		position = "320.033 120.606 912.495";
		rotation = "0 0 1 89.3814";
		scale = "1 1 1";
		dataBlock = "SatchelCharge";
		lockCount = "0";
		homingCount = "0";
		collideable = "0";
		static = "1";
		rotate = "0";
			target = "-1";
	};
	%item4 = new Item() {
		position = "318.43 119.303 912.765";
		rotation = "0 0 -1 39.7166";
		scale = "1 1 1";
		dataBlock = "Disc";
		lockCount = "0";
		homingCount = "0";
		collideable = "0";
		static = "1";
		rotate = "0";
			target = "-1";
	};
	%item5 = new Item() {
		position = "318.788 122.131 913.017";
		rotation = "0 0 1 51.5662";
		scale = "1 1 1";
		dataBlock = "Chaingun";
		lockCount = "0";
		homingCount = "0";
		collideable = "0";
		static = "1";
		rotate = "0";
			target = "-1";
	};
	%item6 = new Item() {
		position = "321.543 119.319 912.9";
		rotation = "0 0 1 228.61";
		scale = "1 1 1";
		dataBlock = "Plasma";
		lockCount = "0";
		homingCount = "0";
		collideable = "0";
		static = "1";
		rotate = "0";
			target = "-1";
	};
	%item7 = new Item() {
		position = "321.201 122.199 912.708";
		rotation = "0 0 1 136.937";
		scale = "1 1 1";
		dataBlock = "SniperRifle";
		lockCount = "0";
		homingCount = "0";
		collideable = "0";
		static = "1";
		rotate = "0";
			target = "-1";
	};
	%item8 = new Item() {
		position = "320.915 120.597 912.424";
		rotation = "0 0 1 89.3814";
		scale = "1 1 1";
		dataBlock = "EnergyPack";
		lockCount = "0";
		homingCount = "0";
		collideable = "0";
		static = "1";
		rotate = "0";
			target = "-1";
	};
	%item9 = new Item() {
		position = "319.889 119.827 912.358";
		rotation = "0 0 1 89.3814";
		scale = "1 1 1";
		dataBlock = "DiscAmmo";
		lockCount = "0";
		homingCount = "0";
		collideable = "0";
		static = "1";
		rotate = "0";
			target = "-1";
	};
	%item10 = new Item() {
		position = "320.167 121.437 911.817";
		rotation = "0 0 1 89.3814";
		scale = "1 1 1";
		dataBlock = "PlasmaAmmo";
		lockCount = "0";
		homingCount = "0";
		collideable = "0";
		static = "1";
		rotate = "0";
			target = "-1";
	};
	%simgroup.add(%star, %item2, %item3, %item4, %item5, %item6, %item7, %item8, %item9, %item10);
     }
   jumpPoint();
   Parent::startMatch( %game );
}

function CnHGame::startMatch( %game )
{
   //First let's see how many "item stars" we will use. By default we have 2, but more will be added...
   %isItUsed = getRandom(5);
   if (%isItUsed <= 2)
     { //Defines Star #3 if it's going to be used
	%simgroup = new SimGroup(Star3);

	%star = new TSStatic() {
		position = "292.152 -157.513 1005.61";
		rotation = "0 0 1 53.2851";
		scale = "3 3 3";
		shapeName = "stackable2l.dts";
	};
	%switch = new StaticShape() {
		position = "292.532 -154.689 1011.49";
		rotation = "0 0 1 92.8192";
		scale = "0.5 0.5 0.5";
		nameTag = "Random Star #3";
		dataBlock = "FlipFlop";
		lockCount = "0";
		homingCount = "0";
			name = "Random Star #3";
			target = "65";
	};
	%item2 = new Item() {
		position = "292.205 -157.538 1011.47";
		rotation = "0 0 1 92.8192";
		scale = "1 1 1";
		dataBlock = "SatchelCharge";
		lockCount = "0";
		homingCount = "0";
		collideable = "0";
		static = "1";
		rotate = "0";
			target = "-1";
	};
	%item3 = new Item() {
		position = "290.527 -158.743 1011.74";
		rotation = "0 0 -1 36.2788";
		scale = "1 1 1";
		dataBlock = "Disc";
		lockCount = "0";
		homingCount = "0";
		collideable = "0";
		static = "1";
		rotate = "0";
			target = "-1";
	};
	%item4 = new Item() {
		position = "291.054 -155.941 1011.99";
		rotation = "0 0 1 55.004";
		scale = "1 1 1";
		dataBlock = "Chaingun";
		lockCount = "0";
		homingCount = "0";
		collideable = "0";
		static = "1";
		rotate = "0";
			target = "-1";
	};
	%item5 = new Item() {
		position = "293.635 -158.913 1011.87";
		rotation = "0 0 1 232.048";
		scale = "1 1 1";
		dataBlock = "Plasma";
		lockCount = "0";
		homingCount = "0";
		collideable = "0";
		static = "1";
		rotate = "0";
			target = "-1";
	};
	%item6 = new Item() {
		position = "293.466 -156.019 1011.68";
		rotation = "0 0 1 140.375";
		scale = "1 1 1";
		dataBlock = "SniperRifle";
		lockCount = "0";
		homingCount = "0";
		collideable = "0";
		static = "1";
		rotate = "0";
			target = "-1";
	};
	%item7 = new Item() {
		position = "291.368 -157.436 1011.29";
		rotation = "0 0 1 92.8192";
		scale = "1 1 1";
		dataBlock = "ChaingunAmmo";
		lockCount = "0";
		homingCount = "0";
		collideable = "0";
		static = "1";
		rotate = "0";
			target = "-1";
	};
	%item8 = new Item() {
		position = "292.015 -158.307 1011.33";
		rotation = "0 0 1 92.8192";
		scale = "1 1 1";
		dataBlock = "DiscAmmo";
		lockCount = "0";
		homingCount = "0";
		collideable = "0";
		static = "1";
		rotate = "0";
			target = "-1";
	};
	%item9 = new Item() {
		position = "293.085 -157.6 1011.4";
		rotation = "0 0 1 92.8192";
		scale = "1 1 1";
		dataBlock = "EnergyPack";
		lockCount = "0";
		homingCount = "0";
		collideable = "0";
		static = "1";
		rotate = "0";
			target = "-1";
	};
	%item10 = new Item() {
		position = "292.389 -156.717 1010.79";
		rotation = "0 0 1 92.8192";
		scale = "1 1 1";
		dataBlock = "PlasmaAmmo";
		lockCount = "0";
		homingCount = "0";
		collideable = "0";
		static = "1";
		rotate = "0";
			target = "-1";
	};
	setTargetSkin(%switch, $teamSkin[0]);
	%simgroup.add(%star, %switch, %item2, %item3, %item4, %item5, %item6, %item7, %item8, %item9, %item10);
     }
   %isItUsed = getRandom(5);
   if (%isItUsed <= 2)
     { //Defines Star #4 if it's going to be used
	%simgroup = new SimGroup(Star4);

	%star = new TSStatic() {
		position = "192.073 188.176 908.911";
		rotation = "0 0 1 49.8473";
		scale = "3 3 3";
		shapeName = "stackable2l.dts";
	};
	%switch = new StaticShape() {
		position = "192.283 191.018 914.793";
		rotation = "0 0 1 89.3814";
		scale = "0.5 0.5 0.5";
		nameTag = "Random Star #4";
		dataBlock = "FlipFlop";
		lockCount = "0";
		homingCount = "0";
			name = "Random Star #4";
			target = "66";
	};
	%item2 = new Item() {
		position = "192.128 188.154 914.769";
		rotation = "0 0 1 89.3814";
		scale = "1 1 1";
		dataBlock = "SatchelCharge";
		lockCount = "0";
		homingCount = "0";
		collideable = "0";
		static = "1";
		rotate = "0";
			target = "-1";
	};
	%item3 = new Item() {
		position = "190.525 186.851 915.039";
		rotation = "0 0 -1 39.7166";
		scale = "1 1 1";
		dataBlock = "Disc";
		lockCount = "0";
		homingCount = "0";
		collideable = "0";
		static = "1";
		rotate = "0";
			target = "-1";
	};
	%item4 = new Item() {
		position = "190.883 189.679 915.291";
		rotation = "0 0 1 51.5662";
		scale = "1 1 1";
		dataBlock = "Chaingun";
		lockCount = "0";
		homingCount = "0";
		collideable = "0";
		static = "1";
		rotate = "0";
			target = "-1";
	};
	%item5 = new Item() {
		position = "193.638 186.867 915.174";
		rotation = "0 0 1 228.61";
		scale = "1 1 1";
		dataBlock = "Plasma";
		lockCount = "0";
		homingCount = "0";
		collideable = "0";
		static = "1";
		rotate = "0";
			target = "-1";
	};
	%item6 = new Item() {
		position = "193.296 189.747 914.982";
		rotation = "0 0 1 136.937";
		scale = "1 1 1";
		dataBlock = "SniperRifle";
		lockCount = "0";
		homingCount = "0";
		collideable = "0";
		static = "1";
		rotate = "0";
			target = "-1";
	};
	%item7 = new Item() {
		position = "191.286 188.206 914.593";
		rotation = "0 0 1 89.3814";
		scale = "1 1 1";
		dataBlock = "ChaingunAmmo";
		lockCount = "0";
		homingCount = "0";
		collideable = "0";
		static = "1";
		rotate = "0";
			target = "-1";
	};
	%item8 = new Item() {
		position = "191.984 187.375 914.632";
		rotation = "0 0 1 89.3814";
		scale = "1 1 1";
		dataBlock = "DiscAmmo";
		lockCount = "0";
		homingCount = "0";
		collideable = "0";
		static = "1";
		rotate = "0";
			target = "-1";
	};
	%item9 = new Item() {
		position = "193.01 188.145 914.698";
		rotation = "0 0 1 89.3814";
		scale = "1 1 1";
		dataBlock = "EnergyPack";
		lockCount = "0";
		homingCount = "0";
		collideable = "0";
		static = "1";
		rotate = "0";
			target = "-1";
	};
	%item10 = new Item() {
		position = "192.262 188.985 914.091";
		rotation = "0 0 1 89.3814";
		scale = "1 1 1";
		dataBlock = "PlasmaAmmo";
		lockCount = "0";
		homingCount = "0";
		collideable = "0";
		static = "1";
		rotate = "0";
			target = "-1";
	};
	setTargetSkin(%switch, $teamSkin[0]);
	%simgroup.add(%star, %switch, %item2, %item3, %item4, %item5, %item6, %item7, %item8, %item9, %item10);
     }
   %isItUsed = getRandom(5);
   if (%isItUsed <= 2)
     { //Defines Star #5 if it's going to be used
	%simgroup = new SimGroup(Star5);

	%star = new TSStatic() {
		position = "172.433 -26.5143 1021.97";
		rotation = "0 0 -1 39.5341";
		scale = "3 3 3";
		shapeName = "stackable2l.dts";
	};
	%switch = new StaticShape() {
		position = "169.593 -26.2733 1027.85";
		rotation = "1 0 0 0";
		scale = "0.5 0.5 0.5";
		nameTag = "Random Star #5";
		dataBlock = "FlipFlop";
		lockCount = "0";
		homingCount = "0";
			name = "Random Star #5";
			target = "67";
	};
	%item2 = new Item() {
		position = "172.456 -26.4592 1027.83";
		rotation = "1 0 0 0";
		scale = "1 1 1";
		dataBlock = "SatchelCharge";
		lockCount = "0";
		homingCount = "0";
		collideable = "0";
		static = "1";
		rotate = "0";
			target = "-1";
	};
	%item3 = new Item() {
		position = "173.741 -28.0768 1028.1";
		rotation = "0 0 1 230.902";
		scale = "1 1 1";
		dataBlock = "Disc";
		lockCount = "0";
		homingCount = "0";
		collideable = "0";
		static = "1";
		rotate = "0";
			target = "-1";
	};
	%item4 = new Item() {
		position = "170.917 -27.6878 1028.35";
		rotation = "0 0 -1 37.8152";
		scale = "1 1 1";
		dataBlock = "Chaingun";
		lockCount = "0";
		homingCount = "0";
		collideable = "0";
		static = "1";
		rotate = "0";
			target = "-1";
	};
	%item5 = new Item() {
		position = "173.758 -24.9639 1028.24";
		rotation = "0 0 1 139.229";
		scale = "1 1 1";
		dataBlock = "Plasma";
		lockCount = "0";
		homingCount = "0";
		collideable = "0";
		static = "1";
		rotate = "0";
			target = "-1";
	};
	%item6 = new Item() {
		position = "170.876 -25.2744 1028.04";
		rotation = "0 0 1 47.5555";
		scale = "1 1 1";
		dataBlock = "SniperRifle";
		lockCount = "0";
		homingCount = "0";
		collideable = "0";
		static = "1";
		rotate = "0";
			target = "-1";
	};
	%item7 = new Item() {
		position = "172.394 -27.301 1027.65";
		rotation = "1 0 0 0";
		scale = "1 1 1";
		dataBlock = "ChaingunAmmo";
		lockCount = "0";
		homingCount = "0";
		collideable = "0";
		static = "1";
		rotate = "0";
			target = "-1";
	};
	%item8 = new Item() {
		position = "173.233 -26.6116 1027.69";
		rotation = "1 0 0 0";
		scale = "1 1 1";
		dataBlock = "DiscAmmo";
		lockCount = "0";
		homingCount = "0";
		collideable = "0";
		static = "1";
		rotate = "0";
			target = "-1";
	};
	%item9 = new Item() {
		position = "172.474 -25.5778 1027.76";
		rotation = "1 0 0 0";
		scale = "1 1 1";
		dataBlock = "EnergyPack";
		lockCount = "0";
		homingCount = "0";
		collideable = "0";
		static = "1";
		rotate = "0";
			target = "-1";
	};
	%item10 = new Item() {
		position = "171.626 -26.3166 1027.15";
		rotation = "1 0 0 0";
		scale = "1 1 1";
		dataBlock = "PlasmaAmmo";
		lockCount = "0";
		homingCount = "0";
		collideable = "0";
		static = "1";
		rotate = "0";
			target = "-1";
	};
	setTargetSkin(%switch, $teamSkin[0]);
	%simgroup.add(%star, %switch, %item2, %item3, %item4, %item5, %item6, %item7, %item8, %item9, %item10);
     }
   %isItUsed = getRandom(5);
   if (%isItUsed <= 2)
     { //Defines Star #6 if it's going to be used. Yes, I can count, but I start the item numbers
       //at 2 since there was a small glitch involving %item1 being from Star #6 every time.
       //Go T2!... :)
	%simgroup = new SimGroup(Star6);

	%star = new TSStatic() {
		position = "319.978 120.628 906.637";
		rotation = "0 0 1 49.8473";
		scale = "3 3 3";
		shapeName = "stackable2l.dts";
	};
	%switch = new StaticShape() {
		position = "320.188 123.47 912.519";
		rotation = "0 0 1 89.3814";
		scale = "0.5 0.5 0.5";
		nameTag = "Random Star #6";
		dataBlock = "FlipFlop";
		lockCount = "0";
		homingCount = "0";
			name = "Random Star #6";
			target = "68";
	};
	%item2 = new Item() {
		position = "319.191 120.658 912.319";
		rotation = "0 0 1 89.3814";
		scale = "1 1 1";
		dataBlock = "ChaingunAmmo";
		lockCount = "0";
		homingCount = "0";
		collideable = "0";
		static = "1";
		rotate = "0";
			target = "-1";
	};
	%item3 = new Item() {
		position = "320.033 120.606 912.495";
		rotation = "0 0 1 89.3814";
		scale = "1 1 1";
		dataBlock = "SatchelCharge";
		lockCount = "0";
		homingCount = "0";
		collideable = "0";
		static = "1";
		rotate = "0";
			target = "-1";
	};
	%item4 = new Item() {
		position = "318.43 119.303 912.765";
		rotation = "0 0 -1 39.7166";
		scale = "1 1 1";
		dataBlock = "Disc";
		lockCount = "0";
		homingCount = "0";
		collideable = "0";
		static = "1";
		rotate = "0";
			target = "-1";
	};
	%item5 = new Item() {
		position = "318.788 122.131 913.017";
		rotation = "0 0 1 51.5662";
		scale = "1 1 1";
		dataBlock = "Chaingun";
		lockCount = "0";
		homingCount = "0";
		collideable = "0";
		static = "1";
		rotate = "0";
			target = "-1";
	};
	%item6 = new Item() {
		position = "321.543 119.319 912.9";
		rotation = "0 0 1 228.61";
		scale = "1 1 1";
		dataBlock = "Plasma";
		lockCount = "0";
		homingCount = "0";
		collideable = "0";
		static = "1";
		rotate = "0";
			target = "-1";
	};
	%item7 = new Item() {
		position = "321.201 122.199 912.708";
		rotation = "0 0 1 136.937";
		scale = "1 1 1";
		dataBlock = "SniperRifle";
		lockCount = "0";
		homingCount = "0";
		collideable = "0";
		static = "1";
		rotate = "0";
			target = "-1";
	};
	%item8 = new Item() {
		position = "320.915 120.597 912.424";
		rotation = "0 0 1 89.3814";
		scale = "1 1 1";
		dataBlock = "EnergyPack";
		lockCount = "0";
		homingCount = "0";
		collideable = "0";
		static = "1";
		rotate = "0";
			target = "-1";
	};
	%item9 = new Item() {
		position = "319.889 119.827 912.358";
		rotation = "0 0 1 89.3814";
		scale = "1 1 1";
		dataBlock = "DiscAmmo";
		lockCount = "0";
		homingCount = "0";
		collideable = "0";
		static = "1";
		rotate = "0";
			target = "-1";
	};
	%item10 = new Item() {
		position = "320.167 121.437 911.817";
		rotation = "0 0 1 89.3814";
		scale = "1 1 1";
		dataBlock = "PlasmaAmmo";
		lockCount = "0";
		homingCount = "0";
		collideable = "0";
		static = "1";
		rotate = "0";
			target = "-1";
	};
	setTargetSkin(%switch, $teamSkin[0]);
	%simgroup.add(%star, %switch, %item2, %item3, %item4, %item5, %item6, %item7, %item8, %item9, %item10);
     }
   jumpPoint();
   Parent::startMatch( %game );
}

function TargetingLaserImage::onFire(%data, %Player, %Slot)
{
   if (%Player.FlingyTime == true)
   {
      %Player.setImageTrigger($WeaponSlot, false);

      return;
   }
   %Player.FlingyTime = true;

   parent::onFire(%data, %Player, %slot);

   %Normal = VectorNormalize(%Player.getMuzzleVector($WeaponSlot));
   %ScaledVector = vectorScale(%Normal, $VisibleDistance);

   %StartPosition = %Player.getMuzzlePoint($WeaponSlot);
   %EndPosition = vectorAdd(%StartPosition, %ScaledVector);

   %Target = containerRayCast(%StartPosition, %EndPosition, $EverythingMask, %Player);
   if (%Target $= "0")
   {
      %Player.setImageTrigger($WeaponSlot, false);

      if (%Player.GrappleNotify != true)
      {
         //messageClient(%Player.client, '', "Nothing in range to grapple onto.");

         %Player.GrappleNotify = true;
         //%Player.schedule(1250, ResetGrappleMessage);
      }

      return;
   }

   %Player.PullStrength = %Player.getDataBlock().mass * 15;

   %Player.BeamYank(1);
}

function TargetingLaserImage::deconstruct(%data, %Player, %Slot)
{
   Parent::deconstruct(%data, %Player, %Slot);

   %Player.flingyTime = "";

   if (%Player.BeamYank !$= "")
   {
      cancel(%Player.BeamYank);
      %Player.BeamYank = "";
   }  
}

function Player::BeamYank(%Player, %LoopCounter)
{
   if (%Player.FlingyTime != true)
      return;

   // For the sake of lag, we only test the current facing every 4th time.
   if (%LoopCounter == 0)
   {
      %Vector = %Player.getMuzzleVector($WeaponSlot);
      %Range = vectorScale(%Vector, $VisibleDistance);

      %StartPosition = %Player.getMuzzlePoint($WeaponSlot);
      %EndPosition = vectorAdd(%StartPosition, %ScaledVector);

      %Target = containerRayCast(%StartPosition, %EndPosition, $EverythingMask, %Player);
      if (%Target $= "0")
      {
         %Player.setImageTrigger($WeaponSlot, false);

         //messageClient(%Player.client, '', "Nothing in range to grapple onto.");
         return;
      }
   }

   %Position = posFromTransform(%Player.getTransform());

   %Normal = VectorNormalize(%Player.getMuzzleVector($WeaponSlot));
   %ImpulseVector = VectorScale(%Normal, %Player.PullStrength);

   %Player.applyImpulse(%Position, %ImpulseVector);

   %LoopCounter++;
   if (%LoopCounter > 3)
      %LoopCounter = 0;

   %Player.BeamYank = %Player.schedule(325, BeamYank, %LoopCounter);
}

function Player::ResetGrappleMessage(%Player)
{
   %Player.GrappleNotify = "";
}

function createRandomStar()
{
   %isItUsed = getRandom(5);
   if (%isItUsed <= 2)
	{
   	%randomArenaStars = new Simgroup(RandomStars);
   	game.StarCount = game.StarCount + 1;
   	%x = getRandom(434) + 33; //sets our bounds as 33 to 467 for x
   	%y = getRandom(500) - 230; //sets our bounds as -230 to 270 for y
   	%z = getRandom(243) + 864; //sets our bounds as 864 to 1107 for z
	%starpos = %x SPC %y SPC %z; //Parses our x, y, and z coordinates into a position
	%a = getRandom(4) + 1; //Here's our scale number (between 1x and 5x)
	%starScale = %a SPC %a SPC %a;
	//%b = getRandom(100) / 100; //gives us a decimal number between 0 and 1
	//%c = 0; //Ok, so I'm lazy. Sue me.
	//%d = 180;
	//%starRotation = %c SPC %c SPC %b SPC %d; //for now, we'll just deal with the 
	//Z axis, since bad things are known to happen when you use 2+ axes.....
	
	%newStar = new TSStatic() {
		position = %starpos;
		rotation = "0 0 1 33";
		scale = %starScale;
		shapeName = "stackable2l.dts";
	};
	%randomArenaStars.add(%newStar);
	%newStar.Locked = true;
	//Sound fun yet? =)
	}
}

function secretRepair()
{ 
	%randomSecret = new Simgroup(RandomSecret) {
	providesPower = "1";
	};  //Sets the hidden simgroup
   %x = getRandom(384) + 58; //sets our bounds as 33 to 467 for x
   %y = getRandom(450) - 205; //sets our bounds as -230 to 270 for y
   %z = getRandom(193) + 889; //sets our bounds as 864 to 1107 for z
   %repairLocation = %x SPC %y SPC %z;
   %a = %x + 0.0234;
   %b = %y - 0.035;
   %c = %z + 7.08;
   %roofLocation = %a SPC %b SPC %c;
   %a = %x - 3.0488;
   %b = %y - 0.073;
   %c = %z - 0.37;
   %side1Location = %a SPC %b SPC %c;
   %a = %x + 3.1512;
   %b = %y - 0.073;
   %c = %z - 0.37;
   %side2Location = %a SPC %b SPC %c;
   %a = %x + 0.084;
   %b = %y - 3.125;
   %c = %z - 0.44;
   %side3Location = %a SPC %b SPC %c;
   %a = %x + 0.0234;
   %b = %y - 0.035;
   %c = %z - 0.92;
   %floorLocation = %a SPC %b SPC %c;
   
   //Now comes the fun part
	%top = new TSStatic() {
		position = %roofLocation;
		rotation = "1 0 0 0";
		scale = "4 4 0.505733";
		shapeName = "stackable2l.dts";
			team = "0";
	};
	%side1 = new TSStatic() {
		position = %side1Location;
		rotation = "0 0 1 90";
		scale = "4 1 4";
		shapeName = "stackable2l.dts";
			team = "0";
	};
	%side2 = new TSStatic() {
		position = %side2Location;
		rotation = "0 0 1 90";
		scale = "4 1 4";
		shapeName = "stackable2l.dts";
			team = "0";
	};
	%side3 = new TSStatic() {
		position = %side3Location;
		rotation = "1 0 0 0";
		scale = "4 1 4";
		shapeName = "stackable2l.dts";
			team = "0";
	};
	%repair = new Item() {
		position = %repairLocation;
		rotation = "1 0 0 0";
		scale = "1 1 1";
		dataBlock = "RepairPack";
		lockCount = "0";
		homingCount = "0";
		collideable = "0";
		static = "1";
		rotate = "0";
			Target = "-1";
			team = "0";
	};
	%floor = new TSStatic() {
		position = %floorLocation;
		rotation = "1 0 0 0";
		scale = "4 4 0.505733";
		shapeName = "stackable2l.dts";
			team = "0";
	}; //Ok, all of that basic math gives me a headache, but whatever works, right? =)
	%randomSecret.add(%repair, %top, %side1, %side2, %side3, %floor);
}

function jumpPoint()
{ 
//Since a function cannot call itself, we must do this by hand.... :(
   if(game.numberOfStars == 50)
	{
	secretRepair();
	createRandomStar();
	createRandomStar();
	createRandomStar();
	createRandomStar();
	createRandomStar();
	createRandomStar();
	createRandomStar();
	createRandomStar();
	createRandomStar();
	createRandomStar();
	createRandomStar();
	createRandomStar();
	createRandomStar();
	createRandomStar();
	createRandomStar();
	createRandomStar();
	createRandomStar();
	createRandomStar();
	createRandomStar();
	createRandomStar();
	createRandomStar();
	createRandomStar();
	createRandomStar();
	createRandomStar();
	createRandomStar();
	createRandomStar();
	createRandomStar();
	createRandomStar();
	createRandomStar();
	createRandomStar();
	createRandomStar();
	createRandomStar();
	createRandomStar();
	createRandomStar();
	createRandomStar();
	createRandomStar();
	createRandomStar();
	createRandomStar();
	createRandomStar();
	createRandomStar();
	createRandomStar();
	createRandomStar();
	createRandomStar();
	createRandomStar();
	createRandomStar();
	createRandomStar();
	createRandomStar();
	createRandomStar();
	createRandomStar();
	createRandomStar();
	}
   else if(game.numberOfStars == 100)
	{
	secretRepair();
	createRandomStar();
	createRandomStar();
	createRandomStar();
	createRandomStar();
	createRandomStar();
	createRandomStar();
	createRandomStar();
	createRandomStar();
	createRandomStar();
	createRandomStar();
	createRandomStar();
	createRandomStar();
	createRandomStar();
	createRandomStar();
	createRandomStar();
	createRandomStar();
	createRandomStar();
	createRandomStar();
	createRandomStar();
	createRandomStar();
	createRandomStar();
	createRandomStar();
	createRandomStar();
	createRandomStar();
	createRandomStar();
	createRandomStar();
	createRandomStar();
	createRandomStar();
	createRandomStar();
	createRandomStar();
	createRandomStar();
	createRandomStar();
	createRandomStar();
	createRandomStar();
	createRandomStar();
	createRandomStar();
	createRandomStar();
	createRandomStar();
	createRandomStar();
	createRandomStar();
	createRandomStar();
	createRandomStar();
	createRandomStar();
	createRandomStar();
	createRandomStar();
	createRandomStar();
	createRandomStar();
	createRandomStar();
	createRandomStar();
	createRandomStar();
	createRandomStar();
	createRandomStar();
	createRandomStar();
	createRandomStar();
	createRandomStar();
	createRandomStar();
	createRandomStar();
	createRandomStar();
	createRandomStar();
	createRandomStar();
	createRandomStar();
	createRandomStar();
	createRandomStar();
	createRandomStar();
	createRandomStar();
	createRandomStar();
	createRandomStar();
	createRandomStar();
	createRandomStar();
	createRandomStar();
	createRandomStar();
	createRandomStar();
	createRandomStar();
	createRandomStar();
	createRandomStar();
	createRandomStar();
	createRandomStar();
	createRandomStar();
	createRandomStar();
	createRandomStar();
	createRandomStar();
	createRandomStar();
	createRandomStar();
	createRandomStar();
	createRandomStar();
	createRandomStar();
	createRandomStar();
	createRandomStar();
	createRandomStar();
	createRandomStar();
	createRandomStar();
	createRandomStar();
	createRandomStar();
	createRandomStar();
	createRandomStar();
	createRandomStar();
	createRandomStar();
	createRandomStar();
	createRandomStar();
	createRandomStar();
	}
} //You get the idea. If Dev ever sees this I'm liable to get shot at... lol